From: =?utf-8?q?=22IOhannes_m_zm=C3=B6lnig_=28Debian/GNU=29=22?=
 <umlaeute@debian.org>
Date: Fri, 27 Mar 2020 09:15:56 +0100
Subject: Make sure to include utf8.h from Debian

Origin: Debian
Forwarded: no
Last-Update: 2019-10-17

using libutfcpp-dev, rather than the included version
Last-Update: 2019-10-17
---
 code/Common/BaseImporter.cpp                  | 2 +-
 code/Importer/STEPParser/STEPFileEncoding.cpp | 2 +-
 code/MMD/MMDPmxParser.cpp                     | 2 +-
 code/SIB/SIBImporter.cpp                      | 2 +-
 code/X3D/FIReader.cpp                         | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/code/Common/BaseImporter.cpp b/code/Common/BaseImporter.cpp
index b77bbfe..ab5e7b8 100644
--- a/code/Common/BaseImporter.cpp
+++ b/code/Common/BaseImporter.cpp
@@ -344,7 +344,7 @@ std::string BaseImporter::GetExtension( const std::string& file ) {
 #ifdef ASSIMP_USE_HUNTER
 #  include <utf8/utf8.h>
 #else
-#  include "../contrib/utf8cpp/source/utf8.h"
+#  include <utf8.h>
 #endif
 
 // ------------------------------------------------------------------------------------------------
diff --git a/code/Importer/STEPParser/STEPFileEncoding.cpp b/code/Importer/STEPParser/STEPFileEncoding.cpp
index 101dcdf..3f12403 100644
--- a/code/Importer/STEPParser/STEPFileEncoding.cpp
+++ b/code/Importer/STEPParser/STEPFileEncoding.cpp
@@ -48,7 +48,7 @@ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #ifdef ASSIMP_USE_HUNTER
 #  include <utf8/utf8.h>
 #else
-#  include <contrib/utf8cpp/source/utf8.h>
+#  include <utf8.h>
 #endif
 
 #include <memory>
diff --git a/code/MMD/MMDPmxParser.cpp b/code/MMD/MMDPmxParser.cpp
index 80f0986..76fc3d6 100644
--- a/code/MMD/MMDPmxParser.cpp
+++ b/code/MMD/MMDPmxParser.cpp
@@ -45,7 +45,7 @@ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #ifdef ASSIMP_USE_HUNTER
 #  include <utf8/utf8.h>
 #else
-#  include "../contrib/utf8cpp/source/utf8.h"
+#  include <utf8.h>
 #endif
 #include <assimp/Exceptional.h>
 
diff --git a/code/SIB/SIBImporter.cpp b/code/SIB/SIBImporter.cpp
index 20cdc80..b5e6610 100644
--- a/code/SIB/SIBImporter.cpp
+++ b/code/SIB/SIBImporter.cpp
@@ -63,7 +63,7 @@ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #  include <utf8/utf8.h>
 #else
 //#  include "../contrib/ConvertUTF/ConvertUTF.h"
-#  include "../contrib/utf8cpp/source/utf8.h"
+#  include <utf8.h>
 #endif
 #include <assimp/IOSystem.hpp>
 #include <assimp/DefaultLogger.hpp>
diff --git a/code/X3D/FIReader.cpp b/code/X3D/FIReader.cpp
index 9bb2c69..525a084 100644
--- a/code/X3D/FIReader.cpp
+++ b/code/X3D/FIReader.cpp
@@ -63,7 +63,7 @@ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #ifdef ASSIMP_USE_HUNTER
 #  include <utf8/utf8.h>
 #else
-#  include "../contrib/utf8cpp/source/utf8.h"
+#  include <utf8.h>
 #endif
 #include <assimp/fast_atof.h>
 #include <stack>
